AuthEmail

Get email status

GET/auth/v1/users/current/emails/status

Returns the authenticated account's current email address together with whether an email is set and whether it has been verified.

X-API-Key<token>

In: header

Response Body

200application/json

Current email and verification status

type: object

email?string
has_email?boolean
verified?boolean
401application/json

Missing or invalid access token

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X GET "https://api.rixl.com/auth/v1/users/current/emails/status"
fetch("https://api.rixl.com/auth/v1/users/current/emails/status", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/auth/v1/users/current/emails/status"

  req, _ := http.NewRequest("GET", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/auth/v1/users/current/emails/status"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/auth/v1/users/current/emails/status"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/auth/v1/users/current/emails/status");
var responseBody = await response.Content.ReadAsStringAsync();

Current email and verification status

application/json

{
  "email": "string",
  "has_email": true,
  "verified": true
}

Missing or invalid access token

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Missing or invalid access token"
}